=== debian/changelog ===
onetbb (2022.0.0-2) unstable; urgency=medium

  * d/rules: Clean the html directory as well. (Closes: #1045631)
  * d/control: Update the homepage URL.
  * Bump Standards-Version to 4.7.0 (no change needed).
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Sat, 22 Feb 2025 13:51:55 -0500

onetbb (2022.0.0-1) unstable; urgency=medium

  * Patch sphinx config file to fix the build (Closes: #1091039)
  * Skip test_resumable_tasks to avoid FTBFS on s390x.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Jan 2025 20:29:54 -0500

onetbb (2022.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 2022.0.0
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Nov 2024 20:45:19 -0500

onetbb (2021.13.0-1~exp1) experimental; urgency=medium

  * New upstream version 2021.13.0
  * Refresh existing patches.
  * Switch from sphinx book theme to rtd theme due to pydata-sphinx-theme
    (0.15.4+dfsg-1) being temporarily buggy where it missed necessary files.
  * Remove unsupported C/CXXFLAGS for alpha and hppa architectures.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 17 Oct 2024 23:50:27 -0400
