=== debian/control ===
Source: onetbb
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve Capper <steven.capper@gmail.com>, Mo Zhou <lumin@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               gdb,
               libhwloc-dev,
               libjs-jquery <!nodoc>,
               libjs-underscore <!nodoc>,
               ninja-build,
               pkgconf,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/tbb
Vcs-Git: https://salsa.debian.org/science-team/tbb.git
Homepage: https://uxlfoundation.github.io/oneTBB/
Rules-Requires-Root: no

Package: libtbb-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libtbb12 (= ${binary:Version}), ${misc:Depends}
Suggests: libtbb-doc
Description: parallelism library for C++ - development files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB development files.

Package: libtbb12
Architecture: linux-any
Multi-Arch: same
Depends: libtbbbind-2-5 (= ${binary:Version}),
         libtbbmalloc2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libtbb2 (<< 2021)
Description: parallelism library for C++ - runtime files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB runtime files.

Package: libtbbmalloc2
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libtbb12 (<< 2021.5-7ubuntu2), libtbb2 (<< 2020.3-1ubuntu2)
Replaces: libtbb12 (<< 2021.5-7ubuntu2), libtbb2 (<< 2020.3-1ubuntu2)
Description: parallelism helper library for C++ - runtime files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB runtime files.

Package: libtbbbind-2-5
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: parallelism library for C++ - runtime files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB runtime files.

Package: libtbb-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Breaks: tbb-examples (<< 2020.0-2)
Replaces: tbb-examples (<< 2020.0-2)
Depends: libjs-jquery, ${misc:Depends}
Recommends: libtbb-dev
Description: parallelism library for C++ - documentation
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 This package includes the TBB documentation files and examples.
