=== debian/changelog ===
onetbb (2022.1.0-3) unstable; urgency=medium

  * Team upload.
  * Skip test_mutex, it fails in Salsa CI. Closes: #1094260.
  * Add debian/salsa-ci.yml again, we need it to disable some
    jobs in some branches.
  * Fix metadata of sh4-support.patch.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 20 Sep 2025 23:25:00 +0200

onetbb (2022.1.0-2) unstable; urgency=medium

  * Team upload.
  * Set LC_ALL=C.UTF-8 in debian/rules to make reprotest happy.
  * Skip some tests when the machine has a single CPU. Closes: #1108053.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Sep 2025 23:50:00 +0200

onetbb (2022.1.0-1) unstable; urgency=medium

  * Team upload (Closes: #1101729)
  * Drop unnecessary CI config

 -- Bastian Germann <bage@debian.org>  Wed, 02 Apr 2025 20:52:06 +0200

onetbb (2022.1.0-1~exp1) unstable; urgency=medium

  * New upstream version 2022.1.0
  * Refresh existing patches.
  * Add missing sphinx-design package and fix sphinx doc build.
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 29 Mar 2025 16:49:33 -0400
