=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                ninja-build,
                pkgconf,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinx-design <!nodoc>,
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/tbb
 Vcs-Git: https://salsa.debian.org/science-team/tbb.git
 Homepage: https://uxlfoundation.github.io/oneTBB/
