=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
+
+export LC_ALL = C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS   = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -60,7 +62,7 @@
 	dh_auto_build
 
 override_dh_auto_build-indep:
-	sphinx-build -b html doc/main html
+	sphinx-build -b html doc/ html
 	# strip the links to prevent privacy breach
 	-find html -type f -exec sed -i -e \
 		's@https://www.intel.com/content/dam/www/global/wap/performance-config.js@https://localhost/performance-config.js@g' '{}' \;
