=== debian/tests/control ===
Tests: runtests.sh
Depends: build-essential, cmake, @
Restrictions: allow-stderr

Tests: cmaketest.sh
Depends: build-essential, cmake, @
Restrictions: allow-stderr
