=== debian/watch ===
version=4
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/oneapi-src/oneTBB/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
