## onetbb 2022.3.0

=== debian/changelog ===
onetbb (2022.3.0-2+rpi1) forky-staging; urgency=medium

  [changes brought forward from 2021.5.0-12+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 01 Jul 2022 09:58:06 +0000]
  * Link against libatomic on armhf too.
  * Fix clean target.

  [changes introduced in 2021.5.0-15+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 27 Jan 2026 05:32:18 +0000

onetbb (2022.3.0-2) unstable; urgency=medium

  * Team upload.
  * Mark gdb as test-only Build-Dependency.

 -- Bastian Germann <bage@debian.org>  Sat, 24 Jan 2026 10:06:00 +0100

onetbb (2022.3.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Jan 2026 16:56:16 -0500

onetbb (2022.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2022.3.0
  * Refresh existing patches.
  * Refresh symbols control file (3 new symbols).
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 15:00:55 -0500
