=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               gdb,
+               gdb <!nocheck>,
                libhwloc-dev,
                libjs-jquery <!nodoc>,
                libjs-underscore <!nodoc>,
