=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 endif
 
 # explicitly link against libatomic
-ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k sh4 powerpc))
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel m68k sh4 powerpc))
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
@@ -75,6 +75,9 @@
 	# remove embedded javascripts. they will be provided by other system packages (see .links)
 	-$(RM) html/_static/*.js
 
+override_dh_auto_test:
+	echo testsuite disabled
+
 override_dh_auto_test-indep:
 	:
 
@@ -84,3 +87,6 @@
 # Makefiles should not be compressed (tbb-examples)
 override_dh_compress-indep:
 	dh_compress -X*/examples/*
+
+execute_after_dh_auto_clean:
+	rm -rf html
